package com.unis.module.coding.controller.admin.delivery.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author GuoBing
 * @description:
 * @create 2025-02-14 9:30
 */
@Schema(description = "已认定交收库 Response VO")
@Data
public class IdentifySpareRespVO implements Serializable {
    private static final long serialVersionUID = 6832789558507535335L;

    @Schema(description = "所属省份")
    @ExcelProperty("所属省份")
    private String sheng;

    @Schema(description = "所属市区")
    @ExcelProperty("所属市区")
    private String shi;

    @Schema(description = "所在县区")
    @ExcelProperty("所在县区")
    private String xian;

    @Schema(description = "企业名称")
    @ExcelProperty("企业名称")
    private String dwmc;

    @Schema(description = "库区名称")
    @ExcelProperty("库区名称")
    private String kqmc;

    @Schema(description = "库区联系人")
    @ExcelProperty("库区联系人")
    private String kqfzr;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String lxdh;

    @Schema(description = "备选交收仓(个)")
    @ExcelProperty("备选交收仓(个)")
    private Integer yxcfnum;

    @Schema(description = "银行认定交收仓(个)")
    @ExcelProperty("银行认定交收仓(个)")
    private Integer yhrdnum;

    @Schema(description = "认定银行")
    @ExcelProperty("认定银行")
    private String rdyhName;
}
